Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body.
This otherwise endpoint is identical to /transactions/cards/enrich except that city and merchantName are now
optional, but only when de43 is included. Note: Because DE43 format is not consistent between sources, we recommend parsing
your own data and using /transactions/cards/enrich/ if possible.
Note that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.
Anonymous ID representing your user. This will be used for summary features, and recurrence flagging purposes.
Maximum string length: 512
Example:
"user_id_123456789"
amount
numberstring
required
Value of the transaction in the given currency. Negative values indicate incoming money.
Example:
"25.23"
currencyCode
string
required
Maximum string length: 16
Example:
"USD"
occurredAt
string<date-time>
required
The time the transaction occurred. Formatted as an ISO 8601 date time.
Example:
"2022-06-15 18:27:51Z"
categoryCode
string
required
Category code for the given categoryType
Maximum string length: 32
Example:
"5812"
location
object
required
Show child attributes
merchantName
string
The raw, unmodified merchant name (including asterisks, store numbers, etc...)
Maximum string length: 1024
Example:
"Amazon"
organizationId
string
An ID representing the organization associated with this transaction. Use this field if you are enriching transactions on behalf of other organizations. Used for billing purposes and for scoping products such as action triggers and category personalizations at the organization-level. For more info, see Supporting multiple data sources and clients
Maximum string length: 256
Example:
"organization_id_123"
programId
string
An identifier for the program associated with this transaction. Programs can be used to group transactions and scope action triggers at the program level.
Maximum string length: 512
Example:
"program_id_123"
cardId
string
Anonymous ID representing the card of the user.
Maximum string length: 512
Example:
"card_id_123456789"
cardFirstSix
string
The first six digits of the card number associated with the transaction.
Required string length: 6
Example:
"123456"
cardLastFour
string
The last four digits of the card number associated with the transaction.
Required string length: 4
Example:
"7890"
transactionId
string
Your ID representing this transaction
Maximum string length: 512
Example:
"transaction_id_123456789"
acquirerId
string
An alphanumeric code generally with a maximum length of 15. It is also known as "Network ID", "Card Acceptor ID", or "Merchant ID". (Found in field 42 of ISO 8583)
Maximum string length: 256
Example:
"000000000123456"
categoryType
enum<string>
default:MCC
The category system that categoryCode is a part of. Optional; if omitted it defaults to MCC. Do not send null or an empty string — when the field is present it must be a valid, non-empty value (MCC).
Available options:
MCC
Required string length: 1 - 32
Example:
"MCC"
billingProfile
enum<string>
An optional billing profile for this transaction. When set to "resell", the organizationId field is required. For more information, see Supporting multiple data sources and clients
Available options:
standard,
resell
Example:
"standard"
customAttributes
object
A dictionary containing custom attributes that you would like to be returned in the response.
Please ensure this object does not contain any PII.
Restrictions include: customAttributes must be an object, up 30 custom attributes are allowed, each key must be a string <= 40 characters in length, and each value must be a string <= 250 characters in length.
A well formatted de43 message. If parsable the parsed data (merchantName, city, state) will take precedence over the corresponding fields in the request body. The parser expects an unedited de43, please do not remove special characters or spaces. Our parser currently only supports US transactions.
Maximum string length: 100
Example:
"WALMART.COM BENTONVILLE ARUS"
Response
Successful operation
transactionInfo
object
Show child attributes
enrichmentId
string<uuid>
Our ID representing the enrichment, not to be confused with your provided transactionId.
counterparty
object[]
An array of counterparties matched to the transaction, ordered by descending match score.
Show child attributes
mobileAppInfo
object | null
The mobile app information for the transaction. This object is only non-null if the transaction was matched to a mobile app.
Show child attributes
customAttributes
object
A dictionary containing the custom attributes that were included in the enrichment request (if any).
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Introduction","colors":{"primary":"#18280E","light":"#F4FAED","dark":"#18280E"},"logo":{"light":"https://mintcdn.com/spade-90e401c6/9HF3Uca9kExHiocb/images/spade-logo-forest.png?fit=max\u0026auto=format\u0026n=9HF3Uca9kExHiocb\u0026q=85\u0026s=04ad3c1e3f4529c5d6c370e693e44807","dark":"https://mintcdn.com/spade-90e401c6/9HF3Uca9kExHiocb/images/spade-logo-sage1.png?fit=max\u0026auto=format\u0026n=9HF3Uca9kExHiocb\u0026q=85\u0026s=f93791318e444084093f74b94e701ccb"},"favicon":"https://mintcdn.com/spade-90e401c6/9HF3Uca9kExHiocb/images/spade-icon-forest.png?fit=max\u0026auto=format\u0026n=9HF3Uca9kExHiocb\u0026q=85\u0026s=7f5578906c65a61f1d6e07d31e2e7771","background":{"color":{"dark":"#090F05"}},"contextual":{"options":["copy","view","download-spec","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"spade-90e401c6","hasAudioNarration":false,"actualSubdomain":"spade-90e401c6","customDomains":["docs.spade.com"],"gitSource":{"type":"github","owner":"spade-data","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aea6151fbc6161119141877","clientVersion":"0.0.4131","searchFilterCounts":[{"language":"default","tag":"API Reference","count":74},{"language":"default","tag":"Documentation","count":27},{"language":"default","tag":"Category Action Triggers","count":16},{"language":"default","tag":"Category Personalization","count":16},{"language":"default","tag":"Merchant Action Triggers","count":16},{"language":"default","tag":"Enrichment Guides","count":10},{"language":"default","tag":"Card Enrichment","count":10},{"language":"default","tag":"Tooling Guides","count":7},{"language":"default","tag":"More","count":6},{"language":"default","tag":"Feedback and Reporting","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43","slug":"/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43","pageMetadata":{"title":"Enrich a card transaction with an unparsed de43","description":"Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body.\nThis otherwise endpoint is identical to `/transactions/cards/enrich` except that `city` and `merchantName` are now\noptional, but only when `de43` is included. Note: Because DE43 format is not consistent between sources, we recommend parsing\nyour own data and using `/transactions/cards/enrich/` if possible.\n\nNote that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.\n","deprecated":null,"version":null,"openapi":"/api-reference/spec.yml post /transactions/cards/enrich/parse","href":"/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body.\\nThis otherwise endpoint is identical to \", _jsx(_components.code, {\n children: \"/transactions/cards/enrich\"\n }), \" except that \", _jsx(_components.code, {\n children: \"city\"\n }), \" and \", _jsx(_components.code, {\n children: \"merchantName\"\n }), \" are now\\noptional, but only when \", _jsx(_components.code, {\n children: \"de43\"\n }), \" is included. Note: Because DE43 format is not consistent between sources, we recommend parsing\\nyour own data and using \", _jsx(_components.code, {\n children: \"/transactions/cards/enrich/\"\n }), \" if possible.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Note that some response fields may not be included in your product package, please reach out to \", _jsx(_components.a, {\n href: \"mailto:sales@spade.com\",\n children: \"sales@spade.com\"\n }), \" with any questions.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Enrich a card transaction with an unparsed de43","description":"Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body.\nThis otherwise endpoint is identical to `/transactions/cards/enrich` except that `city` and `merchantName` are now\noptional, but only when `de43` is included. Note: Because DE43 format is not consistent between sources, we recommend parsing\nyour own data and using `/transactions/cards/enrich/` if possible.\n\nNote that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.\n","deprecated":null,"version":null,"openapi":"/api-reference/spec.yml post /transactions/cards/enrich/parse","href":"/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body.\nThis otherwise endpoint is identical to `/transactions/cards/enrich` except that `city` and `merchantName` are now\noptional, but only when `de43` is included. Note: Because DE43 format is not consistent between sources, we recommend parsing\nyour own data and using `/transactions/cards/enrich/` if possible.\n\nNote that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.\n","tags":["Card Enrichment"],"summary":"Enrich a card transaction with an unparsed de43","operationId":"cardEnrichParse","requestBody":"d5bb4d24-fd1e-45ac-9143-ea10ab1a8486","responses":{"200":"90bf0467-0ac5-4ab9-a43c-1a041d391005","400":"d29b589e-d127-45a1-8b4d-796906f6a254","403":"f3266537-1a61-4d0b-947f-1c3218461ebf","500":"c25ce5e8-55b0-4b04-8735-fdf5dbfc9f97"},"method":"post","type":"path","servers":["c9d2cfa9-0678-4340-a214-cc7cb1b9b638","95df7017-26fe-4d52-9462-83df4bb283e4","4fe8877e-267b-490a-bca6-770866e5257e","b6f28a59-992c-4046-80b3-36d6eb62fc2b"],"security":["10917285-e513-4c82-ae36-297a8d030eca"],"path":"/transactions/cards/enrich/parse","baseUrlOptions":["https://east.sandbox.spade.com","https://east.api.spade.com","https://west.sandbox.spade.com","https://west.api.spade.com"],"title":"Enrich a card transaction with an unparsed de43","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["userId","amount","currencyCode","occurredAt","categoryCode","location"],"properties":{"userId":{"type":"string","maxLength":512,"description":"Anonymous ID representing your user. This will be used for summary features, and recurrence flagging purposes.","examples":["user_id_123456789"],"isRequired":true,"uniqueKey":"userId","typeLabel":"string"},"amount":{"oneOf":[{"type":"number","maxLength":15,"description":"Value of the transaction in the given currency. Negative values indicate incoming money.","examples":["25.23"],"isRequired":true,"uniqueKey":"amount.oneOf.0","typeLabel":"number"},{"type":"string","maxLength":15,"description":"Value of the transaction in the given currency. Negative values indicate incoming money.","examples":["25.23"],"isRequired":true,"uniqueKey":"amount.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"amount","typeLabel":"number | string"},"currencyCode":{"type":"string","maxLength":16,"examples":["USD"],"isRequired":true,"uniqueKey":"currencyCode","typeLabel":"string"},"occurredAt":{"type":"string","format":"date-time","description":"The time the transaction occurred. Formatted as an ISO 8601 date time.","examples":["2022-06-15 18:27:51Z"],"isRequired":true,"uniqueKey":"occurredAt","typeLabel":"string\u003cdate-time>"},"categoryCode":{"type":"string","maxLength":32,"description":"Category code for the given categoryType","examples":["5812"],"isRequired":true,"uniqueKey":"categoryCode","typeLabel":"string"},"location":{"type":"object","properties":{"address":{"type":"string","maxLength":256,"examples":["1234 W 5th Ave Suite 100"],"uniqueKey":"location.address","typeLabel":"string"},"city":{"type":"string","maxLength":256,"examples":["New York"],"description":"The city as it appears in the transaction data; in some cases this can be a phone number or website, which are also valid inputs.\n","uniqueKey":"location.city","typeLabel":"string"},"region":{"type":"string","maxLength":256,"examples":["NY"],"description":"Two letter code for state, province, territory, etc. For US states, ANSI codes may be provided instead (e.g. \"15\" for Hawaii). While standard two-letter or ANSI codes are preferred when available, full region names may also be provided (e.g. \"Hawaii\"). *For an enhanced response, we \\*strongly\\* recommend including this field.*\n","uniqueKey":"location.region","typeLabel":"string"},"country":{"type":"string","maxLength":256,"examples":["USA"],"description":"Three letter country code.","uniqueKey":"location.country","typeLabel":"string"},"postalCode":{"type":"string","maxLength":32,"examples":["10001"],"description":"A US zip code or other international postal code. In the case where a US zip code is provided and the state is missing, the state will be inferred from the zip code.","uniqueKey":"location.postalCode","typeLabel":"string"},"latitude":{"oneOf":[{"type":"number","examples":[45],"description":"Additional latitude data related to the transaction being enriched.","uniqueKey":"location.latitude.oneOf.0","typeLabel":"number"},{"type":"null","examples":[45],"description":"Additional latitude data related to the transaction being enriched.","uniqueKey":"location.latitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"location.latitude","typeLabel":"number | null"},"longitude":{"oneOf":[{"type":"number","examples":[120],"description":"Additional longitude data related to the transaction being enriched.","uniqueKey":"location.longitude.oneOf.0","typeLabel":"number"},{"type":"null","examples":[120],"description":"Additional longitude data related to the transaction being enriched.","uniqueKey":"location.longitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"location.longitude","typeLabel":"number | null"}},"isRequired":true,"uniqueKey":"location","typeLabel":"object"},"merchantName":{"type":"string","maxLength":1024,"description":"The raw, unmodified merchant name (including asterisks, store numbers, etc...)","examples":["Amazon"],"uniqueKey":"merchantName","typeLabel":"string"},"organizationId":{"type":"string","maxLength":256,"description":"An ID representing the organization associated with this transaction. Use this field if you are enriching transactions on behalf of other organizations. Used for billing purposes and for scoping products such as action triggers and category personalizations at the organization-level. For more info, see [Supporting multiple data sources and clients](https://docs.spade.com/reference/integrate-with-spades-api#supporting-multiple-data-sources-and-clients)","examples":["organization_id_123"],"uniqueKey":"organizationId","typeLabel":"string"},"programId":{"type":"string","maxLength":512,"description":"An identifier for the program associated with this transaction. Programs can be used to group transactions and scope action triggers at the program level.","examples":["program_id_123"],"uniqueKey":"programId","typeLabel":"string"},"cardId":{"type":"string","maxLength":512,"description":"Anonymous ID representing the card of the user.","examples":["card_id_123456789"],"uniqueKey":"cardId","typeLabel":"string"},"cardFirstSix":{"type":"string","minLength":6,"maxLength":6,"description":"The first six digits of the card number associated with the transaction.","examples":["123456"],"uniqueKey":"cardFirstSix","typeLabel":"string"},"cardLastFour":{"type":"string","minLength":4,"maxLength":4,"description":"The last four digits of the card number associated with the transaction.","examples":["7890"],"uniqueKey":"cardLastFour","typeLabel":"string"},"transactionId":{"type":"string","maxLength":512,"description":"Your ID representing this transaction","examples":["transaction_id_123456789"],"uniqueKey":"transactionId","typeLabel":"string"},"acquirerId":{"type":"string","maxLength":256,"description":"An alphanumeric code generally with a maximum length of 15. It is also known as \"Network ID\", \"Card Acceptor ID\", or \"Merchant ID\". (Found in field 42 of ISO 8583)","examples":["000000000123456"],"uniqueKey":"acquirerId","typeLabel":"string"},"categoryType":{"type":"string","maxLength":32,"minLength":1,"nullable":false,"enum":["MCC"],"default":"MCC","examples":["MCC"],"description":"The category system that categoryCode is a part of. Optional; if omitted it defaults to `MCC`. Do not send `null` or an empty string — when the field is present it must be a valid, non-empty value (`MCC`).","uniqueKey":"categoryType","typeLabel":"enum\u003cstring>"},"billingProfile":{"type":"string","enum":["standard","resell"],"description":"An optional billing profile for this transaction. When set to \"resell\", the `organizationId` field is required. For more information, see [Supporting multiple data sources and clients](https://docs.spade.com/reference/integrate-with-spades-api#supporting-multiple-data-sources-and-clients)","examples":["standard"],"uniqueKey":"billingProfile","typeLabel":"enum\u003cstring>"},"customAttributes":{"type":"object","maxProperties":30,"description":"A dictionary containing custom attributes that you would like to be returned in the response.\nPlease ensure this object does not contain any PII.\nRestrictions include: `customAttributes` must be an object, up 30 custom attributes are allowed, each key must be a string \u003c= 40 characters in length, and each value must be a string \u003c= 250 characters in length.\n","additionalProperties":{"type":"string","maxLength":250,"uniqueKey":"customAttributes.additionalProperties","typeLabel":"string"},"examples":[{"custom_attribute_1":"value_1","custom_attribute_2":"value_2"}],"uniqueKey":"customAttributes","typeLabel":"object"},"de43":{"type":"string","maxLength":100,"description":"A well formatted de43 message. If parsable the parsed data (merchantName, city, state) will take precedence over the corresponding fields in the request body. The parser expects an unedited de43, please do not remove special characters or spaces. Our parser currently only supports US transactions.","examples":["WALMART.COM BENTONVILLE ARUS"],"uniqueKey":"de43","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"userId":"user_id_123456789","amount":"25.23","currencyCode":"USD","occurredAt":"2022-06-15 18:27:51Z","categoryCode":"5812","location":{"address":"1234 W 5th Ave Suite 100","city":"New York","region":"NY","country":"USA","postalCode":"10001","latitude":45,"longitude":120},"merchantName":"Amazon","organizationId":"organization_id_123","programId":"program_id_123","cardId":"card_id_123456789","cardFirstSix":"123456","cardLastFour":"7890","transactionId":"transaction_id_123456789","acquirerId":"000000000123456","categoryType":"MCC","billingProfile":"standard","customAttributes":{"custom_attribute_1":"value_1","custom_attribute_2":"value_2"},"de43":"WALMART.COM BENTONVILLE ARUS"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"90bf0467-0ac5-4ab9-a43c-1a041d391005":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"object","properties":{"transactionInfo":{"type":"object","properties":{"transferInfo":{"oneOf":[{"type":"object","description":"Additional information about transfers. This field is `null` for card transactions.","example":null,"properties":{"direction":{"type":"string","maxLength":12,"enum":["outgoing","incoming"],"description":"The transfer direction.","examples":["outgoing"],"uniqueKey":"transactionInfo.transferInfo.oneOf.0.direction","typeLabel":"enum\u003cstring>"},"transferMethod":{"type":"string","maxLength":12,"enum":["ach","cash","check","intrabank","rtp","unknown","wire"],"description":"The transfer method.","examples":["ach"],"uniqueKey":"transactionInfo.transferInfo.oneOf.0.transferMethod","typeLabel":"enum\u003cstring>"},"transferType":{"type":"string","maxLength":12,"enum":["external","internal","unknown"],"description":"The transfer type. \"external\" indicates that money is being sent to an external counterparty. \"internal\" indicates that money is being moved between accounts owned by the same entity.","examples":["external"],"uniqueKey":"transactionInfo.transferInfo.oneOf.0.transferType","typeLabel":"enum\u003cstring>"},"isAdjustmentOrRefund":{"type":"boolean","description":"Whether the transfer is an adjustment or refund.","examples":[false],"uniqueKey":"transactionInfo.transferInfo.oneOf.0.isAdjustmentOrRefund","typeLabel":"boolean"}},"uniqueKey":"transactionInfo.transferInfo.oneOf.0","typeLabel":"object"},{"type":"null","description":"Additional information about transfers. This field is `null` for card transactions.","example":null,"properties":{"direction":{"type":"string","maxLength":12,"enum":["outgoing","incoming"],"description":"The transfer direction.","examples":["outgoing"]},"transferMethod":{"type":"string","maxLength":12,"enum":["ach","cash","check","intrabank","rtp","unknown","wire"],"description":"The transfer method.","examples":["ach"]},"transferType":{"type":"string","maxLength":12,"enum":["external","internal","unknown"],"description":"The transfer type. \"external\" indicates that money is being sent to an external counterparty. \"internal\" indicates that money is being moved between accounts owned by the same entity.","examples":["external"]},"isAdjustmentOrRefund":{"type":"boolean","description":"Whether the transfer is an adjustment or refund.","examples":[false]}},"uniqueKey":"transactionInfo.transferInfo.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.transferInfo","typeLabel":"object | null"},"isAccountVerification":{"oneOf":[{"type":"boolean","description":"Whether the transfer is an account verification. Currently only available for transfers.","example":false,"uniqueKey":"transactionInfo.isAccountVerification.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether the transfer is an account verification. Currently only available for transfers.","example":false,"uniqueKey":"transactionInfo.isAccountVerification.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.isAccountVerification","typeLabel":"boolean | null"},"isPeerToPeer":{"oneOf":[{"type":"boolean","description":"Whether the transaction is a peer-to-peer transaction. Currently only available for transfers.","example":false,"uniqueKey":"transactionInfo.isPeerToPeer.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether the transaction is a peer-to-peer transaction. Currently only available for transfers.","example":false,"uniqueKey":"transactionInfo.isPeerToPeer.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.isPeerToPeer","typeLabel":"boolean | null"},"isDigitalWallet":{"oneOf":[{"type":"boolean","description":"Whether the transaction involves a digital wallet. Currently only available for transfers.","example":false,"uniqueKey":"transactionInfo.isDigitalWallet.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether the transaction involves a digital wallet. Currently only available for transfers.","example":false,"uniqueKey":"transactionInfo.isDigitalWallet.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.isDigitalWallet","typeLabel":"boolean | null"},"type":{"type":"string","description":"The main type of the transaction. For card transactions, the type is always \"spending\".","enum":["account_verification","atm","debt","fee","income","other_money_movement","reimbursement","spending"],"examples":["spending"],"uniqueKey":"transactionInfo.type","typeLabel":"enum\u003cstring>"},"subType":{"oneOf":[{"type":"string","description":"The more specific type of the transaction, if applicable. For card transactions, the `subType` is always `null`.","enum":["alimony_or_child_support","atm","bnpl","business","cash_advance","deposit","disbursements","earned_income","government_benefits","insurance","investment","nsf","other","overdraft","payment","payout","rental","retirement","tax_refund","transfer","withdrawal"],"examples":[null],"uniqueKey":"transactionInfo.subType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The more specific type of the transaction, if applicable. For card transactions, the `subType` is always `null`.","enum":["alimony_or_child_support","atm","bnpl","business","cash_advance","deposit","disbursements","earned_income","government_benefits","insurance","investment","nsf","other","overdraft","payment","payout","rental","retirement","tax_refund","transfer","withdrawal"],"examples":[null],"uniqueKey":"transactionInfo.subType.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.subType","typeLabel":"enum\u003cstring> | null"},"display":{"oneOf":[{"type":"object","description":"An object containing display information for the transaction. The fields in this object are pulled from other parts of the enrichment and surfaced here for convenience.\n","properties":{"name":{"type":"string","maxLength":64,"description":"The best name for display.","examples":["Amazon"],"uniqueKey":"transactionInfo.display.oneOf.0.name","typeLabel":"string"},"categoryName":{"oneOf":[{"type":"string","maxLength":64,"description":"The best category name for display.","examples":["Online Marketplace"],"uniqueKey":"transactionInfo.display.oneOf.0.categoryName.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":64,"description":"The best category name for display.","examples":["Online Marketplace"],"uniqueKey":"transactionInfo.display.oneOf.0.categoryName.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.display.oneOf.0.categoryName","typeLabel":"string | null"},"graphic":{"oneOf":[{"type":"string","maxLength":128,"description":"The best graphic for display. Depending on the data available, this will be either a) the counterparty logo, b) the third party logo, or c) the category icon.\n","format":"url","examples":["https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","https://static.v2.spadeapi.com/categories/b4b0d249b40249acb7445027d4574fc5/light.png"],"uniqueKey":"transactionInfo.display.oneOf.0.graphic.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","maxLength":128,"description":"The best graphic for display. Depending on the data available, this will be either a) the counterparty logo, b) the third party logo, or c) the category icon.\n","format":"url","examples":["https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","https://static.v2.spadeapi.com/categories/b4b0d249b40249acb7445027d4574fc5/light.png"],"uniqueKey":"transactionInfo.display.oneOf.0.graphic.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.display.oneOf.0.graphic","typeLabel":"string\u003curl> | null"},"graphicSource":{"oneOf":[{"type":"string","maxLength":16,"enum":["counterparty","third_party","category"],"description":"The field from which the `graphic` was sourced. This will be either `counterparty`, `third_party`, or `category`.\n","examples":["counterparty"],"uniqueKey":"transactionInfo.display.oneOf.0.graphicSource.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","maxLength":16,"enum":["counterparty","third_party","category"],"description":"The field from which the `graphic` was sourced. This will be either `counterparty`, `third_party`, or `category`.\n","examples":["counterparty"],"uniqueKey":"transactionInfo.display.oneOf.0.graphicSource.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.display.oneOf.0.graphicSource","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"transactionInfo.display.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing display information for the transaction. The fields in this object are pulled from other parts of the enrichment and surfaced here for convenience.\n","properties":{"name":{"type":"string","maxLength":64,"description":"The best name for display.","examples":["Amazon"]},"categoryName":{"oneOf":[{"type":"string","maxLength":64,"description":"The best category name for display.","examples":["Online Marketplace"]},{"type":"null","maxLength":64,"description":"The best category name for display.","examples":["Online Marketplace"]}]},"graphic":{"oneOf":[{"type":"string","maxLength":128,"description":"The best graphic for display. Depending on the data available, this will be either a) the counterparty logo, b) the third party logo, or c) the category icon.\n","format":"url","examples":["https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","https://static.v2.spadeapi.com/categories/b4b0d249b40249acb7445027d4574fc5/light.png"]},{"type":"null","maxLength":128,"description":"The best graphic for display. Depending on the data available, this will be either a) the counterparty logo, b) the third party logo, or c) the category icon.\n","format":"url","examples":["https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","https://static.v2.spadeapi.com/categories/b4b0d249b40249acb7445027d4574fc5/light.png"]}]},"graphicSource":{"oneOf":[{"type":"string","maxLength":16,"enum":["counterparty","third_party","category"],"description":"The field from which the `graphic` was sourced. This will be either `counterparty`, `third_party`, or `category`.\n","examples":["counterparty"]},{"type":"null","maxLength":16,"enum":["counterparty","third_party","category"],"description":"The field from which the `graphic` was sourced. This will be either `counterparty`, `third_party`, or `category`.\n","examples":["counterparty"]}]}},"uniqueKey":"transactionInfo.display.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.display","typeLabel":"object | null"},"thirdParties":{"type":"array","description":"An array of third parties involved in the transaction, when applicable. Entities such as Toast, Square, Uber Eats, Doordash, etc. will appear here.","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","examples":["ac48cef2-0d7f-4159-865e-e92b152262bc"],"uniqueKey":"transactionInfo.thirdParties.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","maxLength":64,"examples":["Paypal"],"uniqueKey":"transactionInfo.thirdParties.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["bnpl","delivery_service","marketplace","payment_processor","platform"],"examples":["payment_processor"],"uniqueKey":"transactionInfo.thirdParties.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"logo":{"oneOf":[{"type":"string","maxLength":128,"format":"url","examples":["https://static.v2.spadeapi.com/logos/9063bc0f0a3f4b1fbf644f9862e17002/light.png"],"description":"Third party logo.","uniqueKey":"transactionInfo.thirdParties.items.[INDEX].logo.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","maxLength":128,"format":"url","examples":["https://static.v2.spadeapi.com/logos/9063bc0f0a3f4b1fbf644f9862e17002/light.png"],"description":"Third party logo.","uniqueKey":"transactionInfo.thirdParties.items.[INDEX].logo.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.thirdParties.items.[INDEX].logo","typeLabel":"string\u003curl> | null"},"website":{"oneOf":[{"type":"string","maxLength":256,"format":"url","examples":["https://www.paypal.com/"],"description":"Third party website.","uniqueKey":"transactionInfo.thirdParties.items.[INDEX].website.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","maxLength":256,"format":"url","examples":["https://www.paypal.com/"],"description":"Third party website.","uniqueKey":"transactionInfo.thirdParties.items.[INDEX].website.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.thirdParties.items.[INDEX].website","typeLabel":"string\u003curl> | null"}},"uniqueKey":"transactionInfo.thirdParties.items.[INDEX]","typeLabel":"object"},"uniqueKey":"transactionInfo.thirdParties","typeLabel":"object[]"},"spendingInfo":{"oneOf":[{"type":"object","description":"Additional information about transactions whose `type` is \"spending\". This field is `null` for other types of transactions.","properties":{"channel":{"type":"object","properties":{"value":{"oneOf":[{"type":"string","enum":["digital","physical",null],"description":"Spending channel value of digital or physical, null if we are unable to determine.","uniqueKey":"transactionInfo.spendingInfo.oneOf.0.channel.value.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["digital","physical",null],"description":"Spending channel value of digital or physical, null if we are unable to determine.","uniqueKey":"transactionInfo.spendingInfo.oneOf.0.channel.value.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.spendingInfo.oneOf.0.channel.value","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"transactionInfo.spendingInfo.oneOf.0.channel","typeLabel":"object"}},"uniqueKey":"transactionInfo.spendingInfo.oneOf.0","typeLabel":"object"},{"type":"null","description":"Additional information about transactions whose `type` is \"spending\". This field is `null` for other types of transactions.","properties":{"channel":{"type":"object","properties":{"value":{"oneOf":[{"type":"string","enum":["digital","physical",null],"description":"Spending channel value of digital or physical, null if we are unable to determine."},{"type":"null","enum":["digital","physical",null],"description":"Spending channel value of digital or physical, null if we are unable to determine."}]}}}},"uniqueKey":"transactionInfo.spendingInfo.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.spendingInfo","typeLabel":"object | null"},"atmInfo":{"oneOf":[{"type":"object","description":"Additional information about ATM transactions. This field is `null` for other types of transactions.","examples":[null],"properties":{"sponsorName":{"type":"string","maxLength":64,"description":"The name of the sponsor of the ATM involved in the transaction.","examples":["Fiserv"],"uniqueKey":"transactionInfo.atmInfo.oneOf.0.sponsorName","typeLabel":"string"},"ownerName":{"type":"string","maxLength":64,"description":"The name of the owner of the ATM involved in the transaction.","examples":["Wells Fargo"],"uniqueKey":"transactionInfo.atmInfo.oneOf.0.ownerName","typeLabel":"string"}},"uniqueKey":"transactionInfo.atmInfo.oneOf.0","typeLabel":"object"},{"type":"null","description":"Additional information about ATM transactions. This field is `null` for other types of transactions.","examples":[null],"properties":{"sponsorName":{"type":"string","maxLength":64,"description":"The name of the sponsor of the ATM involved in the transaction.","examples":["Fiserv"]},"ownerName":{"type":"string","maxLength":64,"description":"The name of the owner of the ATM involved in the transaction.","examples":["Wells Fargo"]}},"uniqueKey":"transactionInfo.atmInfo.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.atmInfo","typeLabel":"object | null"},"transactionId":{"type":"string","maxLength":512,"description":"Your ID representing this transaction. This ID exactly matches the transactionId you provided in your enrichment request.","examples":["transaction_id_123456789"],"uniqueKey":"transactionInfo.transactionId","typeLabel":"string"},"recurrenceInfo":{"oneOf":[{"type":"object","description":"A recurring transaction is a repeated payment pattern to a counterparty, based on periodicty and amount. Premium Spade Signal available depending on your product package.","properties":{"intervalType":{"oneOf":[{"type":"string","maxLength":12,"enum":["weekly","biweekly","semi_monthly","monthly","quarterly","annually"],"description":"Recurrence cadence.","uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.intervalType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","maxLength":12,"enum":["weekly","biweekly","semi_monthly","monthly","quarterly","annually"],"description":"Recurrence cadence.","uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.intervalType.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.intervalType","typeLabel":"enum\u003cstring> | null"},"intervalDays":{"oneOf":[{"type":"integer","description":"Number of days between recurrences.","examples":[30],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.intervalDays.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Number of days between recurrences.","examples":[30],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.intervalDays.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.intervalDays","typeLabel":"integer | null"},"nextPaymentExpected":{"oneOf":[{"type":"string","maxLength":10,"format":"date","description":"Next expected payment date.","examples":["2024-08-07"],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.nextPaymentExpected.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","maxLength":10,"format":"date","description":"Next expected payment date.","examples":["2024-08-07"],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.nextPaymentExpected.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.nextPaymentExpected","typeLabel":"string\u003cdate> | null"},"recentRecurrences":{"oneOf":[{"type":"array","description":"Array of recent recurrence objects, null if no recurrence exists.","items":{"type":"array","properties":{"amount":{"type":"number","description":"Amount of the recurrence.","examples":[130]},"enrichmentId":{"type":"string","description":"Our ID representing the enrichment, not to be confused with your provided `transactionId`.","examples":["c1d4064b-9364-43d3-8ee3-500898cda1aa"]},"occurredAt":{"type":"string","format":"date-time","description":"Date and time the transaction occurred. Formatted as an ISO 8601 date time.","examples":["2024-06-06T14:25:11+00:00"]},"transactionId":{"type":"string","description":"Customer-provided identifier for the transaction.","examples":["d6c4dc4e-e0da-4782-b581-95916523d87a"]}},"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.recentRecurrences.oneOf.0.items.[INDEX]","typeLabel":"array"},"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.recentRecurrences.oneOf.0","typeLabel":"array[]"},{"type":"null","description":"Array of recent recurrence objects, null if no recurrence exists.","items":{"type":"array","properties":{"amount":{"type":"number","description":"Amount of the recurrence.","examples":[130]},"enrichmentId":{"type":"string","description":"Our ID representing the enrichment, not to be confused with your provided `transactionId`.","examples":["c1d4064b-9364-43d3-8ee3-500898cda1aa"]},"occurredAt":{"type":"string","format":"date-time","description":"Date and time the transaction occurred. Formatted as an ISO 8601 date time.","examples":["2024-06-06T14:25:11+00:00"]},"transactionId":{"type":"string","description":"Customer-provided identifier for the transaction.","examples":["d6c4dc4e-e0da-4782-b581-95916523d87a"]}}},"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.recentRecurrences.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0.recentRecurrences","typeLabel":"array[] | null"}},"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.0","typeLabel":"object"},{"type":"null","description":"A recurring transaction is a repeated payment pattern to a counterparty, based on periodicty and amount. Premium Spade Signal available depending on your product package.","properties":{"intervalType":{"oneOf":[{"type":"string","maxLength":12,"enum":["weekly","biweekly","semi_monthly","monthly","quarterly","annually"],"description":"Recurrence cadence."},{"type":"null","maxLength":12,"enum":["weekly","biweekly","semi_monthly","monthly","quarterly","annually"],"description":"Recurrence cadence."}]},"intervalDays":{"oneOf":[{"type":"integer","description":"Number of days between recurrences.","examples":[30]},{"type":"null","description":"Number of days between recurrences.","examples":[30]}]},"nextPaymentExpected":{"oneOf":[{"type":"string","maxLength":10,"format":"date","description":"Next expected payment date.","examples":["2024-08-07"]},{"type":"null","maxLength":10,"format":"date","description":"Next expected payment date.","examples":["2024-08-07"]}]},"recentRecurrences":{"oneOf":[{"type":"array","description":"Array of recent recurrence objects, null if no recurrence exists.","items":{"type":"array","properties":{"amount":{"type":"number","description":"Amount of the recurrence.","examples":[130]},"enrichmentId":{"type":"string","description":"Our ID representing the enrichment, not to be confused with your provided `transactionId`.","examples":["c1d4064b-9364-43d3-8ee3-500898cda1aa"]},"occurredAt":{"type":"string","format":"date-time","description":"Date and time the transaction occurred. Formatted as an ISO 8601 date time.","examples":["2024-06-06T14:25:11+00:00"]},"transactionId":{"type":"string","description":"Customer-provided identifier for the transaction.","examples":["d6c4dc4e-e0da-4782-b581-95916523d87a"]}}}},{"type":"null","description":"Array of recent recurrence objects, null if no recurrence exists.","items":{"type":"array","properties":{"amount":{"type":"number","description":"Amount of the recurrence.","examples":[130]},"enrichmentId":{"type":"string","description":"Our ID representing the enrichment, not to be confused with your provided `transactionId`.","examples":["c1d4064b-9364-43d3-8ee3-500898cda1aa"]},"occurredAt":{"type":"string","format":"date-time","description":"Date and time the transaction occurred. Formatted as an ISO 8601 date time.","examples":["2024-06-06T14:25:11+00:00"]},"transactionId":{"type":"string","description":"Customer-provided identifier for the transaction.","examples":["d6c4dc4e-e0da-4782-b581-95916523d87a"]}}}}]}},"uniqueKey":"transactionInfo.recurrenceInfo.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.recurrenceInfo","typeLabel":"object | null"},"riskInsights":{"oneOf":[{"type":"object","description":"Risk insights provide visibility into the potential risk of a transaction and the merchants involved. Premium Spade Signal available depending on your product package.","properties":{"irregularWebPresenceDetected":{"oneOf":[{"type":"boolean","description":"Has engaged in deceptive online practices or has irregular website structure or content.","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.irregularWebPresenceDetected.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Has engaged in deceptive online practices or has irregular website structure or content.","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.irregularWebPresenceDetected.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.irregularWebPresenceDetected","typeLabel":"boolean | null"},"negativeOnlineSentiment":{"oneOf":[{"type":"boolean","description":"Negative online consumer feedback associated with the counterparty.","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.negativeOnlineSentiment.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Negative online consumer feedback associated with the counterparty.","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.negativeOnlineSentiment.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.negativeOnlineSentiment","typeLabel":"boolean | null"},"highRiskEntity":{"oneOf":[{"type":"boolean","description":"The counterparty is known to engage in fraudulent practices.","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.highRiskEntity.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"The counterparty is known to engage in fraudulent practices.","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.highRiskEntity.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.highRiskEntity","typeLabel":"boolean | null"},"riskyIndustry":{"oneOf":[{"type":"boolean","description":"Industry is correlated with increased disputes (based on Spade industries).","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.riskyIndustry.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Industry is correlated with increased disputes (based on Spade industries).","examples":[false],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.riskyIndustry.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.riskyIndustry","typeLabel":"boolean | null"},"cardAcceptanceHistory":{"oneOf":[{"type":"string","enum":["extensive","established","stable","limited","very_limited","null"],"description":"Counterparties with lower levels of card acceptance history have a higher likelihood of chargebacks or fraudulent activity.","examples":["extensive"],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.cardAcceptanceHistory.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["extensive","established","stable","limited","very_limited","null"],"description":"Counterparties with lower levels of card acceptance history have a higher likelihood of chargebacks or fraudulent activity.","examples":["extensive"],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.cardAcceptanceHistory.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.riskInsights.oneOf.0.cardAcceptanceHistory","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"transactionInfo.riskInsights.oneOf.0","typeLabel":"object"},{"type":"null","description":"Risk insights provide visibility into the potential risk of a transaction and the merchants involved. Premium Spade Signal available depending on your product package.","properties":{"irregularWebPresenceDetected":{"oneOf":[{"type":"boolean","description":"Has engaged in deceptive online practices or has irregular website structure or content.","examples":[false]},{"type":"null","description":"Has engaged in deceptive online practices or has irregular website structure or content.","examples":[false]}]},"negativeOnlineSentiment":{"oneOf":[{"type":"boolean","description":"Negative online consumer feedback associated with the counterparty.","examples":[false]},{"type":"null","description":"Negative online consumer feedback associated with the counterparty.","examples":[false]}]},"highRiskEntity":{"oneOf":[{"type":"boolean","description":"The counterparty is known to engage in fraudulent practices.","examples":[false]},{"type":"null","description":"The counterparty is known to engage in fraudulent practices.","examples":[false]}]},"riskyIndustry":{"oneOf":[{"type":"boolean","description":"Industry is correlated with increased disputes (based on Spade industries).","examples":[false]},{"type":"null","description":"Industry is correlated with increased disputes (based on Spade industries).","examples":[false]}]},"cardAcceptanceHistory":{"oneOf":[{"type":"string","enum":["extensive","established","stable","limited","very_limited","null"],"description":"Counterparties with lower levels of card acceptance history have a higher likelihood of chargebacks or fraudulent activity.","examples":["extensive"]},{"type":"null","enum":["extensive","established","stable","limited","very_limited","null"],"description":"Counterparties with lower levels of card acceptance history have a higher likelihood of chargebacks or fraudulent activity.","examples":["extensive"]}]}},"uniqueKey":"transactionInfo.riskInsights.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactionInfo.riskInsights","typeLabel":"object | null"}},"uniqueKey":"transactionInfo","typeLabel":"object"},"enrichmentId":{"type":"string","format":"uuid","description":"Our ID representing the enrichment, not to be confused with your provided `transactionId`.","uniqueKey":"enrichmentId","typeLabel":"string\u003cuuid>"},"counterparty":{"type":"array","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"A unique identifier for this counterparty, regardless of specific location.","format":"uuid","example":"704bbd58-fb12-4bdb-9aae-2786704ea92a","uniqueKey":"counterparty.items.[INDEX].id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","description":"A unique identifier for this counterparty, regardless of specific location.","format":"uuid","example":"704bbd58-fb12-4bdb-9aae-2786704ea92a","uniqueKey":"counterparty.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].id","typeLabel":"string\u003cuuid> | null"},"name":{"oneOf":[{"type":"string","description":"Counterparty name.","maxLength":64,"example":"Amazon","uniqueKey":"counterparty.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Counterparty name.","maxLength":64,"example":"Amazon","uniqueKey":"counterparty.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].name","typeLabel":"string | null"},"legalName":{"oneOf":[{"type":"string","description":"Counterparty legal name.","maxLength":128,"example":"Amazon Inc.","uniqueKey":"counterparty.items.[INDEX].legalName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Counterparty legal name.","maxLength":128,"example":"Amazon Inc.","uniqueKey":"counterparty.items.[INDEX].legalName.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].legalName","typeLabel":"string | null"},"industry":{"type":"array","items":{"type":"object","description":"A node in a tree representing a hierarchical category system","properties":{"id":{"type":"string","maxLength":15,"example":"011-000-000-000","uniqueKey":"counterparty.items.[INDEX].industry.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","maxLength":64,"example":"Retail","uniqueKey":"counterparty.items.[INDEX].industry.items.[INDEX].name","typeLabel":"string"},"icon":{"oneOf":[{"type":"string","description":"Category icon.","format":"url","maxLength":128,"example":"https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png","uniqueKey":"counterparty.items.[INDEX].industry.items.[INDEX].icon.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","description":"Category icon.","format":"url","maxLength":128,"example":"https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png","uniqueKey":"counterparty.items.[INDEX].industry.items.[INDEX].icon.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].industry.items.[INDEX].icon","typeLabel":"string\u003curl> | null"}},"uniqueKey":"counterparty.items.[INDEX].industry.items.[INDEX]","typeLabel":"object"},"description":"Array with increasingly specific category information.","uniqueKey":"counterparty.items.[INDEX].industry","typeLabel":"object[]"},"matchScore":{"oneOf":[{"type":"number","description":"The matchScore predicts how well a transaction matches a Counterparty in our records. If no Counterparty was found, the matchScore is set to null. Otherwise, scores range between 50.00 and 100.00. We filter out results below this range to make sure that only high quality matches are returned. Generally, the higher the matchScore is the better the match between a transaction and a Counterparty. When multiple Counterparties match a transaction, matches are returned in decreasing order of matchScore. This is a premium Spade field available depending on your product package.\n","example":93.5,"uniqueKey":"counterparty.items.[INDEX].matchScore.oneOf.0","typeLabel":"number"},{"type":"null","description":"The matchScore predicts how well a transaction matches a Counterparty in our records. If no Counterparty was found, the matchScore is set to null. Otherwise, scores range between 50.00 and 100.00. We filter out results below this range to make sure that only high quality matches are returned. Generally, the higher the matchScore is the better the match between a transaction and a Counterparty. When multiple Counterparties match a transaction, matches are returned in decreasing order of matchScore. This is a premium Spade field available depending on your product package.\n","example":93.5,"uniqueKey":"counterparty.items.[INDEX].matchScore.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].matchScore","typeLabel":"number | null"},"location":{"type":"array","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"A unique identifier for this location.","format":"uuid","example":"fdf79470-3deb-4638-956a-6859e473b9d8","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","description":"A unique identifier for this location.","format":"uuid","example":"fdf79470-3deb-4638-956a-6859e473b9d8","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].id","typeLabel":"string\u003cuuid> | null"},"address":{"oneOf":[{"type":"string","description":"Street number, name, and any secondary address information.","maxLength":64,"example":"1234 W 5th Ave Suite 100","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].address.oneOf.0","typeLabel":"string"},{"type":"null","description":"Street number, name, and any secondary address information.","maxLength":64,"example":"1234 W 5th Ave Suite 100","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].address.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].address","typeLabel":"string | null"},"addressLine1":{"oneOf":[{"type":"string","description":"Street number and name.","maxLength":64,"example":"1234 W 5th Ave","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].addressLine1.oneOf.0","typeLabel":"string"},{"type":"null","description":"Street number and name.","maxLength":64,"example":"1234 W 5th Ave","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].addressLine1.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].addressLine1","typeLabel":"string | null"},"addressLine2":{"oneOf":[{"type":"string","description":"Secondary address information.","maxLength":32,"example":"Suite 100","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].addressLine2.oneOf.0","typeLabel":"string"},{"type":"null","description":"Secondary address information.","maxLength":32,"example":"Suite 100","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].addressLine2.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].addressLine2","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","maxLength":64,"example":"New York","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].city.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":64,"example":"New York","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].city.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].city","typeLabel":"string | null"},"region":{"oneOf":[{"type":"string","description":"Region code. Typically a two-letter code for US states, but may vary for international regions.","maxLength":64,"example":"NY","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].region.oneOf.0","typeLabel":"string"},{"type":"null","description":"Region code. Typically a two-letter code for US states, but may vary for international regions.","maxLength":64,"example":"NY","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].region.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].region","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","description":"Three letter country code.","maxLength":3,"example":"USA","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].country.oneOf.0","typeLabel":"string"},{"type":"null","description":"Three letter country code.","maxLength":3,"example":"USA","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].country.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].country","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","description":"Location postal code or zip code.","maxLength":12,"example":"10001","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].postalCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"Location postal code or zip code.","maxLength":12,"example":"10001","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].postalCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].postalCode","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","description":"Location latitude.","example":45,"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].latitude.oneOf.0","typeLabel":"number"},{"type":"null","description":"Location latitude.","example":45,"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].latitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].latitude","typeLabel":"number | null"},"longitude":{"oneOf":[{"type":"number","description":"Location longitude.","example":120,"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].longitude.oneOf.0","typeLabel":"number"},{"type":"null","description":"Location longitude.","example":120,"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].longitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].longitude","typeLabel":"number | null"},"phoneNumber":{"oneOf":[{"type":"string","description":"Location phone number.","maxLength":24,"example":"+18664862360","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].phoneNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"Location phone number.","maxLength":24,"example":"+18664862360","uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].phoneNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].phoneNumber","typeLabel":"string | null"},"matchScore":{"oneOf":[{"type":"number","description":"The matchScore predicts how well a transaction matches a Location in our records. If no Location was found, the matchScore is set to null. Scores range between 0.00 and 100.0. Generally, a higher matchScore indicates a better match between a transaction and a Location.\nThis is a premium Spade field available depending on your product package.\n","example":93.5,"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].matchScore.oneOf.0","typeLabel":"number"},{"type":"null","description":"The matchScore predicts how well a transaction matches a Location in our records. If no Location was found, the matchScore is set to null. Scores range between 0.00 and 100.0. Generally, a higher matchScore indicates a better match between a transaction and a Location.\nThis is a premium Spade field available depending on your product package.\n","example":93.5,"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].matchScore.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX].matchScore","typeLabel":"number | null"}},"uniqueKey":"counterparty.items.[INDEX].location.items.[INDEX]","typeLabel":"object"},"description":"Locations of this counterparty that matched the transaction. Currently contains only one location.\n","uniqueKey":"counterparty.items.[INDEX].location","typeLabel":"object[]"},"logo":{"oneOf":[{"type":"string","description":"Counterparty logo.","format":"url","maxLength":128,"example":"https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","uniqueKey":"counterparty.items.[INDEX].logo.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","description":"Counterparty logo.","format":"url","maxLength":128,"example":"https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","uniqueKey":"counterparty.items.[INDEX].logo.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].logo","typeLabel":"string\u003curl> | null"},"phoneNumber":{"oneOf":[{"type":"string","description":"Counterparty phone number.","maxLength":24,"example":"+18664862360","uniqueKey":"counterparty.items.[INDEX].phoneNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"Counterparty phone number.","maxLength":24,"example":"+18664862360","uniqueKey":"counterparty.items.[INDEX].phoneNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].phoneNumber","typeLabel":"string | null"},"website":{"oneOf":[{"type":"string","description":"Counterparty website.","format":"url","maxLength":256,"example":"https://www.amazon.com","uniqueKey":"counterparty.items.[INDEX].website.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","description":"Counterparty website.","format":"url","maxLength":256,"example":"https://www.amazon.com","uniqueKey":"counterparty.items.[INDEX].website.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].website","typeLabel":"string\u003curl> | null"},"possibleCounterpartyAlternate":{"oneOf":[{"type":"object","description":"The possible alternate counterparty object represents a counterparty that may be matched to this transaction in other enrichment requests.\nPremium Spade Field available depending on your product package.\n","properties":{"id":{"type":"string","description":"The ID of the alternate counterparty.\n","format":"uuid","example":"49fd51a1-5a19-3e5d-8d28-eb056ecf8939","uniqueKey":"counterparty.items.[INDEX].possibleCounterpartyAlternate.oneOf.0.id","typeLabel":"string\u003cuuid>"},"similarity":{"type":"number","description":"The similarity score indicates how closely this alternate counterparty matches the main counterparty. The score is a value between 0.0 and 100.0, where 100.0 is an exact match.\n","example":80,"uniqueKey":"counterparty.items.[INDEX].possibleCounterpartyAlternate.oneOf.0.similarity","typeLabel":"number"}},"uniqueKey":"counterparty.items.[INDEX].possibleCounterpartyAlternate.oneOf.0","typeLabel":"object"},{"type":"null","description":"The possible alternate counterparty object represents a counterparty that may be matched to this transaction in other enrichment requests.\nPremium Spade Field available depending on your product package.\n","properties":{"id":{"type":"string","description":"The ID of the alternate counterparty.\n","format":"uuid","example":"49fd51a1-5a19-3e5d-8d28-eb056ecf8939"},"similarity":{"type":"number","description":"The similarity score indicates how closely this alternate counterparty matches the main counterparty. The score is a value between 0.0 and 100.0, where 100.0 is an exact match.\n","example":80}},"uniqueKey":"counterparty.items.[INDEX].possibleCounterpartyAlternate.oneOf.1","typeLabel":"null"}],"uniqueKey":"counterparty.items.[INDEX].possibleCounterpartyAlternate","typeLabel":"object | null"}},"uniqueKey":"counterparty.items.[INDEX]","typeLabel":"object"},"description":"An array of counterparties matched to the transaction, ordered by descending match score.","uniqueKey":"counterparty","typeLabel":"object[]"},"mobileAppInfo":{"oneOf":[{"description":"The mobile app information for the transaction. This object is only non-null if the transaction was matched to a mobile app.\n","type":"object","properties":{"id":{"type":"string","format":"uuid","examples":["704bbd58-fb12-4bdb-9aae-2786704ea92a"],"description":"A unique identifier for this mobile app.","uniqueKey":"mobileAppInfo.oneOf.0.id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","maxLength":512,"examples":["Roblox"],"description":"The name of the mobile app.","uniqueKey":"mobileAppInfo.oneOf.0.name","typeLabel":"string"},"url":{"oneOf":[{"type":"string","format":"url","examples":["https://play.google.com/store/apps/details?id=com.roblox.client"],"description":"The URL of the mobile app in the app store.","uniqueKey":"mobileAppInfo.oneOf.0.url.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","format":"url","examples":["https://play.google.com/store/apps/details?id=com.roblox.client"],"description":"The URL of the mobile app in the app store.","uniqueKey":"mobileAppInfo.oneOf.0.url.oneOf.1","typeLabel":"null"}],"uniqueKey":"mobileAppInfo.oneOf.0.url","typeLabel":"string\u003curl> | null"},"logo":{"oneOf":[{"type":"string","format":"url","examples":["https://static.v2.spadeapi.com/logos/58c03a73629c46b8aa4c1e15cb4f0d0b/light.png"],"description":"The URL of the mobile app's logo.","uniqueKey":"mobileAppInfo.oneOf.0.logo.oneOf.0","typeLabel":"string\u003curl>"},{"type":"null","format":"url","examples":["https://static.v2.spadeapi.com/logos/58c03a73629c46b8aa4c1e15cb4f0d0b/light.png"],"description":"The URL of the mobile app's logo.","uniqueKey":"mobileAppInfo.oneOf.0.logo.oneOf.1","typeLabel":"null"}],"uniqueKey":"mobileAppInfo.oneOf.0.logo","typeLabel":"string\u003curl> | null"},"developerName":{"type":"string","maxLength":256,"examples":["Roblox Corporation"],"description":"The name of the developer of the mobile app.","uniqueKey":"mobileAppInfo.oneOf.0.developerName","typeLabel":"string"},"developerId":{"type":"string","format":"uuid","examples":["704bbd58-fb12-4bdb-9aae-2786704ea92a"],"description":"The ID of the developer of the mobile app.","uniqueKey":"mobileAppInfo.oneOf.0.developerId","typeLabel":"string\u003cuuid>"},"category":{"type":"string","enum":["Auto and Transportation","Creative and Design","Education and Parenting","Entertainment and Media","Finance and Business","Games","Health and Lifestyle","Shopping and Marketplaces","Social and Communication","Travel and Events","Utility and Tools"],"examples":["Auto and Transportation"],"description":"The category of the mobile app.","uniqueKey":"mobileAppInfo.oneOf.0.category","typeLabel":"enum\u003cstring>"},"hasGamblingOrRewards":{"type":"boolean","examples":[false],"description":"Whether the mobile app has gambling or cash rewards.","uniqueKey":"mobileAppInfo.oneOf.0.hasGamblingOrRewards","typeLabel":"boolean"},"hasSimulatedGambling":{"type":"boolean","examples":[false],"description":"Whether the mobile app has simulated gambling.","uniqueKey":"mobileAppInfo.oneOf.0.hasSimulatedGambling","typeLabel":"boolean"},"ageRating":{"type":"string","enum":["Children","Teen","Adult","Unknown"],"examples":["Teen"],"description":"The age rating of the mobile app.","uniqueKey":"mobileAppInfo.oneOf.0.ageRating","typeLabel":"enum\u003cstring>"}},"uniqueKey":"mobileAppInfo.oneOf.0","typeLabel":"object"},{"description":"The mobile app information for the transaction. This object is only non-null if the transaction was matched to a mobile app.\n","type":"null","properties":{"id":{"type":"string","format":"uuid","examples":["704bbd58-fb12-4bdb-9aae-2786704ea92a"],"description":"A unique identifier for this mobile app."},"name":{"type":"string","maxLength":512,"examples":["Roblox"],"description":"The name of the mobile app."},"url":{"oneOf":[{"type":"string","format":"url","examples":["https://play.google.com/store/apps/details?id=com.roblox.client"],"description":"The URL of the mobile app in the app store."},{"type":"null","format":"url","examples":["https://play.google.com/store/apps/details?id=com.roblox.client"],"description":"The URL of the mobile app in the app store."}]},"logo":{"oneOf":[{"type":"string","format":"url","examples":["https://static.v2.spadeapi.com/logos/58c03a73629c46b8aa4c1e15cb4f0d0b/light.png"],"description":"The URL of the mobile app's logo."},{"type":"null","format":"url","examples":["https://static.v2.spadeapi.com/logos/58c03a73629c46b8aa4c1e15cb4f0d0b/light.png"],"description":"The URL of the mobile app's logo."}]},"developerName":{"type":"string","maxLength":256,"examples":["Roblox Corporation"],"description":"The name of the developer of the mobile app."},"developerId":{"type":"string","format":"uuid","examples":["704bbd58-fb12-4bdb-9aae-2786704ea92a"],"description":"The ID of the developer of the mobile app."},"category":{"type":"string","enum":["Auto and Transportation","Creative and Design","Education and Parenting","Entertainment and Media","Finance and Business","Games","Health and Lifestyle","Shopping and Marketplaces","Social and Communication","Travel and Events","Utility and Tools"],"examples":["Auto and Transportation"],"description":"The category of the mobile app."},"hasGamblingOrRewards":{"type":"boolean","examples":[false],"description":"Whether the mobile app has gambling or cash rewards."},"hasSimulatedGambling":{"type":"boolean","examples":[false],"description":"Whether the mobile app has simulated gambling."},"ageRating":{"type":"string","enum":["Children","Teen","Adult","Unknown"],"examples":["Teen"],"description":"The age rating of the mobile app."}},"uniqueKey":"mobileAppInfo.oneOf.1","typeLabel":"null"}],"uniqueKey":"mobileAppInfo","typeLabel":"object | null"},"customAttributes":{"type":"object","description":"A dictionary containing the custom attributes that were included in the enrichment request (if any).","additionalProperties":{"type":"string","uniqueKey":"customAttributes.additionalProperties","typeLabel":"string"},"examples":[{"custom_attribute_1":"value_1","custom_attribute_2":"value_2"}],"uniqueKey":"customAttributes","typeLabel":"object"},"actions":{"oneOf":[{"type":"array","description":"An array of triggered actions, or `null` if no triggers matched.\nThis field is only present if your integration has the actions feature enabled.\n\nWhen a transaction matches one or more registered triggers, this array contains the action details including your custom `action` data.\n","items":{"type":"object","description":"A triggered action returned in the enrichment response.","properties":{"id":{"type":"string","maxLength":512,"description":"Your unique identifier for the matched trigger (as provided during registration).","examples":["trigger-12345"],"uniqueKey":"actions.oneOf.0.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The type of trigger that matched — `merchant_trigger` for merchant-based triggers, `category_trigger` for category-based triggers.","enum":["merchant_trigger","category_trigger"],"example":"merchant_trigger","examples":["merchant_trigger"],"uniqueKey":"actions.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"action":{"type":"object","description":"The custom action data you provided during registration for this trigger.\n\nFor `BLOCK` and `ALLOW_ONLY` action types, an `authRecommendation` field is automatically added:\n- `BLOCK` triggers that match: `authRecommendation` is set to `\"BLOCK\"`.\n- `ALLOW_ONLY` triggers that match: `authRecommendation` is set to `\"ALLOW\"`.\n- `ALLOW_ONLY` triggers at a scope where no `ALLOW_ONLY` trigger matched: `authRecommendation` is set to `\"BLOCK\"`.\n\nOne enrichment can return several actions carrying different `authRecommendation` values. See [Resolving multiple actions](/reference/action-triggers-guide#resolving-multiple-actions).\n","additionalProperties":true,"properties":{"authRecommendation":{"type":"string","description":"Authorization recommendation injected for `BLOCK` and `ALLOW_ONLY` action types. Not present for other action types.","enum":["ALLOW","BLOCK"],"uniqueKey":"actions.oneOf.0.items.[INDEX].action.authRecommendation","typeLabel":"enum\u003cstring>"}},"examples":[{"type":"REWARD","rewardPercent":5,"offerId":"offer-abc123"},{"type":"BLOCK","reason":"Gambling merchant","authRecommendation":"BLOCK"},{"type":"ALLOW_ONLY","category":"approved-vendors","authRecommendation":"ALLOW"}],"uniqueKey":"actions.oneOf.0.items.[INDEX].action","typeLabel":"object"},"scope":{"type":"string","description":"The scope at which this trigger was registered (account, program, user, or card).","enum":["account","program","user","card"],"example":"account","examples":["account"],"uniqueKey":"actions.oneOf.0.items.[INDEX].scope","typeLabel":"enum\u003cstring>"},"source":{"oneOf":[{"type":"string","description":"Indicates whether the action was triggered by the matched counterparty or third party.\n\nThis field will be set to `null` when an `ALLOW_ONLY` action trigger was set up whose condition the current transaction did not meet. The `authRecommendation` in this case will be `BLOCK`.\n\nThis field is always `null` for category triggers.\n","enum":["counterparty","third_party",null],"example":"counterparty","examples":["counterparty"],"uniqueKey":"actions.oneOf.0.items.[INDEX].source.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Indicates whether the action was triggered by the matched counterparty or third party.\n\nThis field will be set to `null` when an `ALLOW_ONLY` action trigger was set up whose condition the current transaction did not meet. The `authRecommendation` in this case will be `BLOCK`.\n\nThis field is always `null` for category triggers.\n","enum":["counterparty","third_party",null],"example":"counterparty","examples":["counterparty"],"uniqueKey":"actions.oneOf.0.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"actions.oneOf.0.items.[INDEX].source","typeLabel":"enum\u003cstring> | null"},"categoryId":{"type":"string","description":"The Spade category ID that matched this trigger. Only present when `type` is `category_trigger`.","examples":["b4b0d249-b402-49ac-b744-5027d4574fc5"],"uniqueKey":"actions.oneOf.0.items.[INDEX].categoryId","typeLabel":"string"},"categoryName":{"type":"string","description":"The name of the Spade category that matched this trigger. Only present when `type` is `category_trigger`.","examples":["Travel"],"uniqueKey":"actions.oneOf.0.items.[INDEX].categoryName","typeLabel":"string"}},"uniqueKey":"actions.oneOf.0.items.[INDEX]","typeLabel":"object"},"examples":[[{"id":"trigger-12345","type":"merchant_trigger","action":{"type":"REWARD","rewardPercent":5},"scope":"account","source":"counterparty"}]],"uniqueKey":"actions.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"An array of triggered actions, or `null` if no triggers matched.\nThis field is only present if your integration has the actions feature enabled.\n\nWhen a transaction matches one or more registered triggers, this array contains the action details including your custom `action` data.\n","items":{"type":"object","description":"A triggered action returned in the enrichment response.","properties":{"id":{"type":"string","maxLength":512,"description":"Your unique identifier for the matched trigger (as provided during registration).","examples":["trigger-12345"]},"type":{"type":"string","description":"The type of trigger that matched — `merchant_trigger` for merchant-based triggers, `category_trigger` for category-based triggers.","enum":["merchant_trigger","category_trigger"],"example":"merchant_trigger","examples":["merchant_trigger"]},"action":{"type":"object","description":"The custom action data you provided during registration for this trigger.\n\nFor `BLOCK` and `ALLOW_ONLY` action types, an `authRecommendation` field is automatically added:\n- `BLOCK` triggers that match: `authRecommendation` is set to `\"BLOCK\"`.\n- `ALLOW_ONLY` triggers that match: `authRecommendation` is set to `\"ALLOW\"`.\n- `ALLOW_ONLY` triggers at a scope where no `ALLOW_ONLY` trigger matched: `authRecommendation` is set to `\"BLOCK\"`.\n\nOne enrichment can return several actions carrying different `authRecommendation` values. See [Resolving multiple actions](/reference/action-triggers-guide#resolving-multiple-actions).\n","additionalProperties":true,"properties":{"authRecommendation":{"type":"string","description":"Authorization recommendation injected for `BLOCK` and `ALLOW_ONLY` action types. Not present for other action types.","enum":["ALLOW","BLOCK"]}},"examples":[{"type":"REWARD","rewardPercent":5,"offerId":"offer-abc123"},{"type":"BLOCK","reason":"Gambling merchant","authRecommendation":"BLOCK"},{"type":"ALLOW_ONLY","category":"approved-vendors","authRecommendation":"ALLOW"}]},"scope":{"type":"string","description":"The scope at which this trigger was registered (account, program, user, or card).","enum":["account","program","user","card"],"example":"account","examples":["account"]},"source":{"oneOf":[{"type":"string","description":"Indicates whether the action was triggered by the matched counterparty or third party.\n\nThis field will be set to `null` when an `ALLOW_ONLY` action trigger was set up whose condition the current transaction did not meet. The `authRecommendation` in this case will be `BLOCK`.\n\nThis field is always `null` for category triggers.\n","enum":["counterparty","third_party",null],"example":"counterparty","examples":["counterparty"]},{"type":"null","description":"Indicates whether the action was triggered by the matched counterparty or third party.\n\nThis field will be set to `null` when an `ALLOW_ONLY` action trigger was set up whose condition the current transaction did not meet. The `authRecommendation` in this case will be `BLOCK`.\n\nThis field is always `null` for category triggers.\n","enum":["counterparty","third_party",null],"example":"counterparty","examples":["counterparty"]}]},"categoryId":{"type":"string","description":"The Spade category ID that matched this trigger. Only present when `type` is `category_trigger`.","examples":["b4b0d249-b402-49ac-b744-5027d4574fc5"]},"categoryName":{"type":"string","description":"The name of the Spade category that matched this trigger. Only present when `type` is `category_trigger`.","examples":["Travel"]}}},"examples":[[{"id":"trigger-12345","type":"merchant_trigger","action":{"type":"REWARD","rewardPercent":5},"scope":"account","source":"counterparty"}]],"uniqueKey":"actions.oneOf.1","typeLabel":"null"}],"uniqueKey":"actions","typeLabel":"object[] | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"transactionInfo":{"transferInfo":null,"isAccountVerification":false,"isPeerToPeer":false,"isDigitalWallet":false,"type":"spending","subType":null,"display":{"name":"Amazon","categoryName":"Online Marketplace","graphic":"https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","graphicSource":"counterparty"},"thirdParties":[{"id":"ac48cef2-0d7f-4159-865e-e92b152262bc","name":"Paypal","type":"payment_processor","logo":"https://static.v2.spadeapi.com/logos/9063bc0f0a3f4b1fbf644f9862e17002/light.png","website":"https://www.paypal.com/"}],"spendingInfo":{"channel":{"value":"digital"}},"atmInfo":null,"transactionId":"transaction_id_123456789","recurrenceInfo":{"intervalType":"weekly","intervalDays":30,"nextPaymentExpected":"2024-08-07","recentRecurrences":["\u003carray>"]},"riskInsights":{"irregularWebPresenceDetected":false,"negativeOnlineSentiment":false,"highRiskEntity":false,"riskyIndustry":false,"cardAcceptanceHistory":"extensive"}},"enrichmentId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","counterparty":[{"id":"704bbd58-fb12-4bdb-9aae-2786704ea92a","name":"Amazon","legalName":"Amazon Inc.","industry":[{"id":"011-000-000-000","name":"Retail","icon":"https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"}],"matchScore":93.5,"location":[{"id":"fdf79470-3deb-4638-956a-6859e473b9d8","address":"1234 W 5th Ave Suite 100","addressLine1":"1234 W 5th Ave","addressLine2":"Suite 100","city":"New York","region":"NY","country":"USA","postalCode":"10001","latitude":45,"longitude":120,"phoneNumber":"+18664862360","matchScore":93.5}],"logo":"https://static.v2.spadeapi.com/logos/de33f8973bc934c5b368a5b27155db02/light.png","phoneNumber":"+18664862360","website":"https://www.amazon.com","possibleCounterpartyAlternate":{"id":"49fd51a1-5a19-3e5d-8d28-eb056ecf8939","similarity":80}}],"mobileAppInfo":{"id":"704bbd58-fb12-4bdb-9aae-2786704ea92a","name":"Roblox","url":"https://play.google.com/store/apps/details?id=com.roblox.client","logo":"https://static.v2.spadeapi.com/logos/58c03a73629c46b8aa4c1e15cb4f0d0b/light.png","developerName":"Roblox Corporation","developerId":"704bbd58-fb12-4bdb-9aae-2786704ea92a","category":"Auto and Transportation","hasGamblingOrRewards":false,"hasSimulatedGambling":false,"ageRating":"Teen"},"customAttributes":{"custom_attribute_1":"value_1","custom_attribute_2":"value_2"},"actions":[{"id":"trigger-12345","type":"merchant_trigger","action":{"type":"REWARD","rewardPercent":5},"scope":"account","source":"counterparty"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"d29b589e-d127-45a1-8b4d-796906f6a254":{"description":"Invalid input","content":{"application/json":{"schema":{"type":"object","properties":{"invalidField":{"type":"array","items":{"type":"string","examples":["This field is required."],"uniqueKey":"invalidField.items.[INDEX]","typeLabel":"string"},"uniqueKey":"invalidField","typeLabel":"string[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"invalidField":["This field is required."]}}},"exampleType":"generated"}},"exampleType":"generated"},"f3266537-1a61-4d0b-947f-1c3218461ebf":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"details":{"type":"string","examples":["Incorrect authentication credentials."],"uniqueKey":"details","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"details":"Incorrect authentication credentials."}}},"exampleType":"generated"}},"exampleType":"generated"},"c25ce5e8-55b0-4b04-8735-fdf5dbfc9f97":{"description":"Unexpected Error","content":{"application/json":{"schema":{"type":"object","properties":{"details":{"type":"string","examples":["Internal server error."],"uniqueKey":"details","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"details":"Internal server error."}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"10917285-e513-4c82-ae36-297a8d030eca":{"ApiKeyAuth":{"type":"apiKey","name":"X-Api-Key","in":"header","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"c9d2cfa9-0678-4340-a214-cc7cb1b9b638":{"url":"https://east.sandbox.spade.com","description":"East coast sandbox environment"},"95df7017-26fe-4d52-9462-83df4bb283e4":{"url":"https://east.api.spade.com","description":"East coast production environment"},"4fe8877e-267b-490a-bca6-770866e5257e":{"url":"https://west.sandbox.spade.com","description":"West coast sandbox environment"},"b6f28a59-992c-4046-80b3-36d6eb62fc2b":{"url":"https://west.api.spade.com","description":"West coast production environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"X-Api-Key","in":"header","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"X-Api-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-Api-Key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"api-reference/spec.yml"},"subdomain":"spade-90e401c6","siteName":"Introduction","title":"Enrich a card transaction with an unparsed de43 - Introduction","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-14T20:02:06.833Z","originalFileLocation":"api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body. This otherwise endpoint is identical to /transactions/cards/enrich except that city and merchantName are now optional, but only when de43 is included. Note: Because DE43 format is not consistent between sources, we recommend parsing your own data and using /transactions/cards/enrich/ if possible. Note that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Introduction\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Enrich a card transaction with an unparsed de43 - Introduction\">\u003cmeta data-mint-head property=\"og:description\" content=\"Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body. This otherwise endpoint is identical to /transactions/cards/enrich except that city and merchantName are now optional, but only when de43 is included. Note: Because DE43 format is not consistent between sources, we recommend parsing your own data and using /transactions/cards/enrich/ if possible. Note that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Introduction\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.spade.com/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://spade-90e401c6.mintlify.site/_mintlify/api/og/v2?division=Card+Enrichment\u0026amp;title=Enrich+a+card+transaction+with+an+unparsed+de43\u0026amp;description=Enrich+a+card+transaction+where+parsed+de43+data+takes+precedence+over+the+other+fields+in+the+request+body.%0AThis+otherwise+endpoint+is+identical+to+%60%2Ftransacti\u0026amp;theme=39dc43271c14138203a30f85\u0026amp;signature=f93086e4fb605faaf81442c66e1632a33241752ed7c8874c44193280e9bc9c3d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Enrich a card transaction with an unparsed de43 - Introduction\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Enrich a card transaction where parsed de43 data takes precedence over the other fields in the request body. This otherwise endpoint is identical to /transactions/cards/enrich except that city and merchantName are now optional, but only when de43 is included. Note: Because DE43 format is not consistent between sources, we recommend parsing your own data and using /transactions/cards/enrich/ if possible. Note that some response fields may not be included in your product package, please reach out to sales@spade.com with any questions.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://spade-90e401c6.mintlify.site/_mintlify/api/og/v2?division=Card+Enrichment\u0026amp;title=Enrich+a+card+transaction+with+an+unparsed+de43\u0026amp;description=Enrich+a+card+transaction+where+parsed+de43+data+takes+precedence+over+the+other+fields+in+the+request+body.%0AThis+otherwise+endpoint+is+identical+to+%60%2Ftransacti\u0026amp;theme=39dc43271c14138203a30f85\u0026amp;signature=f93086e4fb605faaf81442c66e1632a33241752ed7c8874c44193280e9bc9c3d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/spade-90e401c6/CDhz3wAAyPlHxqYQ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Introduction\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#18280E\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.spade.com/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.spade.com/#organization\",\"name\":\"Introduction\",\"url\":\"https://docs.spade.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/spade-90e401c6/9HF3Uca9kExHiocb/images/spade-logo-forest.png?fit=max\u0026auto=format\u0026n=9HF3Uca9kExHiocb\u0026q=85\u0026s=04ad3c1e3f4529c5d6c370e693e44807\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.spade.com#website\",\"name\":\"Introduction\",\"url\":\"https://docs.spade.com\",\"publisher\":{\"@id\":\"https://docs.spade.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.spade.com/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43#webpage\",\"url\":\"https://docs.spade.com/api-reference/card-enrichment/enrich-a-card-transaction-with-an-unparsed-de43\",\"name\":\"Enrich a card transaction with an unparsed de43\",\"description\":\"Enrich a card transaction where parsed de43 data takes precedence over 
[...]
